Herald
OpenapiLegal

Get the staged draft for an agreement type.

Admin — requires `inject_identity` + `settings.manage` + `has_access_to_realm`. Returns 404 when no draft exists for the type (the admin form treats this as "start a new draft").

GET
/api/legal/admin/{realmId}/agreements/{agreementType}/draft

Admin — requires inject_identity + settings.manage + has_access_to_realm. Returns 404 when no draft exists for the type (the admin form treats this as "start a new draft").

Path Parameters

realmId*string

Realm ID

agreementType*string

Agreement type: terms_of_service | privacy_policy

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/legal/admin/string/agreements/string/draft"
{  "agreement_type": "terms_of_service",  "content": null,  "external_url": "string",  "mode": "full_text",  "pending_version_no": 0,  "updated_at": "2019-08-24T14:15:22Z",  "version_label": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}